﻿//  ******************************************
//  Frequency Manager Plugin
//  Copyright © Jeff Knapp 2012-2013 
//
//  A class defining the plugin environment.
//  ******************************************
//  Date        Changes
//  10/13/12    initial release
//  
//  ******************************************

using System;
using System.Windows.Forms;
using SDRSharp.Common;

namespace SDRSharp.FreqMgr
{
    public class FreqMgrPlugin : ISharpPlugin
    {
        private const String Copyright = "Copyright © Jeff Knapp 2012-2013";
        private const String displayName = "Frequency Manager + Scanner";
        private ISharpControl _controlInterface;
        private FreqMgrCollapsiblePanel _frequencyManagerPanel;

        #region ISharpPlugin Members

        public bool HasGui
        {
            get { return true; }
        }

        public UserControl GuiControl
        {
            get { return _frequencyManagerPanel; }
        }

        public string DisplayName
        {
            get { return displayName; }
        }

        public void Close()
        {
        }

        public void Initialize(ISharpControl control)
        {
            _controlInterface = control;
            _frequencyManagerPanel = new FreqMgrCollapsiblePanel(_controlInterface);
        }

        #endregion
    }
}